Web based family history software

Question webtrees 1.7.9

  • fisharebest
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
7 years 5 months ago #1 by fisharebest
webtrees 1.7.9 was created by fisharebest
webtrees 1.7.9 is now available for download. As well as the usual translation updates and bug-fixes, this release includes new German census templates and improvements to the relationship calculator. You can now search for relationships via direct ancestors only, which is much faster on large/complex trees.

Note that downloads are now available from the GitHub server at github.com/fisharebest/webtrees/releases
The Launchpad server is no longer used.

As always, thank-you to everyone who has contributed - whether by updating translations, reporting issues, helping others on the forum, etc.

PHP 7.1 was released at the start of the month, and we can see in the statistics that a few sites are now using it. A few compatibility issues were discovered, which have been fixed. However one issue exists in a third-party library (pclzip) which will affect the auto-upgrade. To work around this, PHP 7.1 users will need to change the "memory_limit" setting in the PHP.INI to specify *bytes*, rather than megabytes. e.g. use "128000000" instead of "128M".

This is one symptom of a much larger problem. It is becoming increasingly difficult to write code that runs on many different versions of PHP. Currently, we support 5.3, 5.4, 5.5, 5.6, 7.0 and 7.1.

For this reason, I have decided that the next major release of webtrees (1.8.0) will require PHP 5.6 or higher.

If you use PHP 5.3, 5.4 or 5.5, then you really should upgrade to a supported version . If you (or your web host) cannot upgrade, then continue using webtrees 1.7.x.

The 1.7 branch will receive fixes for security issues, major bugs and updated translations - for as long as a significant number of people are using it.

Greg Roach - greg@subaqua.co.uk - @fisharebest@phpc.social - fisharebest.webtrees.net

Please Log in or Create an account to join the conversation.

  • bertkoor
  • Offline
  • Platinum Member
  • Platinum Member
  • Greetings from Utrecht, Holland
More
7 years 5 months ago #2 by bertkoor
Replied by bertkoor on topic webtrees 1.7.9
Many thanks! Upgrading now...

Very brave btw to release it just before Christmas. Fingers crossed you don't need to do much support on this release.

And a Happy New Year!

stamboom.BertKoor.nl runs on webtrees v1.7.13

Please Log in or Create an account to join the conversation.

More
7 years 5 months ago #3 by HonkXL
Replied by HonkXL on topic webtrees 1.7.9
Great that you released a new version just a few hours before christmas!

I use plesk to manage my webservers. Here it is not possible to enter "128000000" instead of "128M" for the PHP memory. If I try so, I get: "bad entry - try to enter the correct value followed by K, M, or G".
Workaround here: switch to PHP 7.0, make the upgrade, switch to 7.1...

Please Log in or Create an account to join the conversation.

  • fisharebest
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
7 years 5 months ago #4 by fisharebest
Replied by fisharebest on topic webtrees 1.7.9
Then the automatic upgrade will fail for you. For the next upgrade, you must copy the files manually.

Greg Roach - greg@subaqua.co.uk - @fisharebest@phpc.social - fisharebest.webtrees.net

Please Log in or Create an account to join the conversation.

More
7 years 4 months ago #5 by Jackie
Replied by Jackie on topic webtrees 1.7.9
Thanks to all who contributed to this upgrade!

Please Log in or Create an account to join the conversation.

More
7 years 4 months ago #6 by HRN
Replied by HRN on topic webtrees 1.7.9
Good work, as always. Happy Holidays!

webtrees 2.1.20 at visitusinmaputo.com/webtree PHP 8.1.27
webtrees 2.1 dev on local Wampserver 3.3.2 PHP 8.2.13/8.3.0 MySQL 8.2.0

Please Log in or Create an account to join the conversation.

More
7 years 4 months ago #7 by potain
Replied by potain on topic webtrees 1.7.9
Hi all

Before upgrading to 1.79 on my local machine I thought I'd better check that I am doing the right thing.

A warning comes up regarding my my custom themes with red crosses next to them:

You should consult the theme’s author to confirm compatibility with this version of webtrees.
— You can re-enable these themes after the upgrade.
— Caution: old themes may not work, or they may prevent webtrees from working.

Has anything chnaged in 1.79 that would cause them, done in 1.78, not to work?

Re-abling them means, once upgraded, choosing the appropriate theme from Manage family trees > Preferences > User preferences - Default theme , right?

Thanks.

Novice in all webtrees matters and in every respect

Please Log in or Create an account to join the conversation.

  • fisharebest
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
7 years 4 months ago #8 by fisharebest
Replied by fisharebest on topic webtrees 1.7.9
> Has anything chnaged in 1.79 that would cause them, done in 1.78, not to work?

Nothing intentional !

It is 99.99% that it will work OK. But it is impossible to guarantee 100%.

> Re-abling them means, once upgraded, choosing the appropriate theme from Manage family trees > Preferences > User preferences - Default theme , right?

Yes

Greg Roach - greg@subaqua.co.uk - @fisharebest@phpc.social - fisharebest.webtrees.net

Please Log in or Create an account to join the conversation.

More
7 years 4 months ago #9 by potain
Replied by potain on topic webtrees 1.7.9
Thanks Greg,

Upgraded and themes re-anabled without any problems.

Cheers.

Novice in all webtrees matters and in every respect

Please Log in or Create an account to join the conversation.

More
7 years 4 months ago #10 by Andrej
Replied by Andrej on topic webtrees 1.7.9
I just want to say thank you!
Automatic upgrade worked without any problems.

Please Log in or Create an account to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #11 by UksusoFF
Replied by UksusoFF on topic webtrees 1.7.9
Which php version 5.6 or 7.1 recommended for 1.7.9 usage?
Last edit: 6 years 5 months ago by UksusoFF.

Please Log in or Create an account to join the conversation.

  • fisharebest
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
6 years 5 months ago #12 by fisharebest
Replied by fisharebest on topic webtrees 1.7.9
5,3, 5.4, 5.5, 5.6 or 7.0

7.0 gives better performance.

7.1 will also work - except for .ZIP files. (i.e. download .ZIP, upgrade wizard).

Greg Roach - greg@subaqua.co.uk - @fisharebest@phpc.social - fisharebest.webtrees.net

Please Log in or Create an account to join the conversation.

More
6 years 5 months ago #13 by UksusoFF
Replied by UksusoFF on topic webtrees 1.7.9

fisharebest wrote: 5,3, 5.4, 5.5, 5.6 or 7.0

7.0 gives better performance.

7.1 will also work - except for .ZIP files. (i.e. download .ZIP, upgrade wizard).

Thanks. Trying to use with 7.1

Please Log in or Create an account to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #14 by madargel
Replied by madargel on topic webtrees 1.7.9
using 7.2 with .opcache-Acceleration.
super speed!
Last edit: 6 years 5 months ago by madargel.

Please Log in or Create an account to join the conversation.

More
5 years 3 days ago #15 by Ward
Replied by Ward on topic webtrees 1.7.9
i have choose v 7.0 and WORK !!!!! WORK !!!

Please Log in or Create an account to join the conversation.

More
5 years 3 days ago #16 by HonkXL
Replied by HonkXL on topic webtrees 1.7.9
Hi,
in latest versions of webtrees and PHP 7 it works for me, too. But I switched away from Plesk, so I can not test it in a Plesk environment.

Please Log in or Create an account to join the conversation.

Powered by Kunena Forum
}